| GET | /RestApi/files-api |
|---|
export class FilesGetRequest
{
public Path: string;
public Extension: string;
public Skip: number;
public Take: number;
public constructor(init?: Partial<FilesGetRequest>) { (Object as any).assign(this, init); }
}
export class FilesItemViewModel
{
public Name: string;
public IsFolder: boolean;
public HasChildren: boolean;
public constructor(init?: Partial<FilesItemViewModel>) { (Object as any).assign(this, init); }
}
export class FilesViewModel
{
public Items: FilesItemViewModel[];
public Error: string;
public constructor(init?: Partial<FilesViewModel>) { (Object as any).assign(this, init); }
}
TypeScript FilesGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/files-api HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{"Error":"String"}